<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_BGPPeerUsesRouteMap" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_BGPPeerUsesRouteMap">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Collection" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Aggregate" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Collection</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The BGPPeerGroup that aggregates the RouteMaps.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_BGPPeerUsesRouteMap"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Member" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Member</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The RouteMaps that are used by the BGPPeerGroup.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_BGPPeerUsesRouteMap"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="MapSequence" nillable="true" type="cim:cimUnsignedShort">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">This defines the position of this RouteMap instance relative to all other instances of the same RouteMap.</cim:Qualifier>
<cim:Classorigin name="CIM_BGPPeerUsesRouteMap"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_BGPPeerUsesRouteMap" type="class:CIM_BGPPeerUsesRouteMap_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_BGPPeerUsesRouteMap" superclass="CIM_CollectedMSEs"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Aggregation" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.6.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Network::BGP</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This association defines the RouteMaps that are aggregated and used by a particular BGPPeerGroup object. Multiple instances of the same RouteMap may be aggregated into the same BGPPeerGroup. If this is desired, then the MapSequence attribute of the association can be used to disambiguate them.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_BGPPeerUsesRouteMap_Type">
<xs:sequence>
<xs:element ref="class:Collection"/>
<xs:element minOccurs="0" ref="class:MapSequence"/>
<xs:element ref="class:Member"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
